Index: /branches/2521_ProblemRefactoring/HeuristicLab.Optimization/3.3/Results/IResultParameter.cs
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Optimization/3.3/Results/IResultParameter.cs	(revision 17524)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Optimization/3.3/Results/IResultParameter.cs	(revision 17525)
@@ -28,9 +28,10 @@
   public interface IResultDefinition {
     string Name { get; set; }
+    IItem Get(ResultCollection results);
   }
 
   [StorableType("4c0c854b-676d-4ccd-96c4-b06a3d7f2fa1")]
   public interface IResultDefinition<T> : IResultDefinition where T : class, IItem {
-    T Get(ResultCollection results);
+    new T Get(ResultCollection results);
   }
 
Index: /branches/2521_ProblemRefactoring/HeuristicLab.Optimization/3.3/Results/ResultParameter.cs
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Optimization/3.3/Results/ResultParameter.cs	(revision 17524)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Optimization/3.3/Results/ResultParameter.cs	(revision 17525)
@@ -64,5 +64,6 @@
 
     string IResultDefinition.Name { get => ActualName; set => ActualName = value; }
-    T IResultDefinition<T>.Get(ResultCollection results) => results[ActualName].Value as T;
+    T IResultDefinition<T>.Get(ResultCollection results) => ((IResultDefinition)this).Get(results) as T;
+    IItem IResultDefinition.Get(ResultCollection results) => results[ActualName].Value;
 
     [StorableConstructor]
Index: /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering.Views/3.3/HeuristicLab.Problems.Orienteering.Views-3.3.csproj
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering.Views/3.3/HeuristicLab.Problems.Orienteering.Views-3.3.csproj	(revision 17524)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering.Views/3.3/HeuristicLab.Problems.Orienteering.Views-3.3.csproj	(revision 17525)
@@ -83,12 +83,20 @@
       <SpecificVersion>False</SpecificVersion>
       <HintPath>..\..\bin\HeuristicLab.Data.Views-3.3.dll</HintPath>
+      <Private>False</Private>
     </Reference>
     <Reference Include="HeuristicLab.Encodings.PermutationEncoding-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <SpecificVersion>False</SpecificVersion>
       <HintPath>..\..\bin\HeuristicLab.Encodings.PermutationEncoding-3.3.dll</HintPath>
+      <Private>False</Private>
     </Reference>
     <Reference Include="HeuristicLab.Problems.LinearAssignment-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <SpecificVersion>False</SpecificVersion>
       <HintPath>..\..\bin\HeuristicLab.Problems.LinearAssignment-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Problems.TravelingSalesman-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\bin\HeuristicLab.Problems.TravelingSalesman-3.3.dll</HintPath>
+      <Private>False</Private>
     </Reference>
     <Reference Include="System" />
@@ -112,4 +120,5 @@
       <DependentUpon>OrienteeringSolutionView.cs</DependentUpon>
     </Compile>
+    <Compile Include="OrienteeringVisualizer.cs" />
     <Compile Include="Plugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
@@ -124,57 +133,84 @@
       <Project>{A9AD58B9-3EF9-4CC1-97E5-8D909039FF5C}</Project>
       <Name>HeuristicLab.Common-3.3</Name>
+      <Private>False</Private>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Core.Views\3.3\HeuristicLab.Core.Views-3.3.csproj">
       <Project>{E226881D-315F-423D-B419-A766FE0D8685}</Project>
       <Name>HeuristicLab.Core.Views-3.3</Name>
+      <Private>False</Private>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj">
       <Project>{C36BD924-A541-4A00-AFA8-41701378DDC5}</Project>
       <Name>HeuristicLab.Core-3.3</Name>
+      <Private>False</Private>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Data\3.3\HeuristicLab.Data-3.3.csproj">
       <Project>{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}</Project>
       <Name>HeuristicLab.Data-3.3</Name>
+      <Private>False</Private>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Encodings.IntegerVectorEncoding\3.3\HeuristicLab.Encodings.IntegerVectorEncoding-3.3.csproj">
       <Project>{DDFB14DD-2A85-493C-A52D-E69729BBAEB0}</Project>
       <Name>HeuristicLab.Encodings.IntegerVectorEncoding-3.3</Name>
+      <Private>False</Private>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.MainForm.WindowsForms\3.3\HeuristicLab.MainForm.WindowsForms-3.3.csproj">
       <Project>{AB687BBE-1BFE-476B-906D-44237135431D}</Project>
       <Name>HeuristicLab.MainForm.WindowsForms-3.3</Name>
+      <Private>False</Private>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.MainForm\3.3\HeuristicLab.MainForm-3.3.csproj">
       <Project>{3BD61258-31DA-4B09-89C0-4F71FEF5F05A}</Project>
       <Name>HeuristicLab.MainForm-3.3</Name>
+      <Private>False</Private>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Optimization.Views\3.3\HeuristicLab.Optimization.Views-3.3.csproj">
       <Project>{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}</Project>
       <Name>HeuristicLab.Optimization.Views-3.3</Name>
+      <Private>False</Private>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Optimization\3.3\HeuristicLab.Optimization-3.3.csproj">
       <Project>{14AB8D24-25BC-400C-A846-4627AA945192}</Project>
       <Name>HeuristicLab.Optimization-3.3</Name>
+      <Private>False</Private>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Parameters\3.3\HeuristicLab.Parameters-3.3.csproj">
       <Project>{56F9106A-079F-4C61-92F6-86A84C2D84B7}</Project>
       <Name>HeuristicLab.Parameters-3.3</Name>
+      <Private>False</Private>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
       <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
+      <Private>False</Private>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Problems.Instances\3.3\HeuristicLab.Problems.Instances-3.3.csproj">
       <Project>{3540E29E-4793-49E7-8EE2-FEA7F61C3994}</Project>
       <Name>HeuristicLab.Problems.Instances-3.3</Name>
+      <Private>False</Private>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Problems.LinearAssignment.Views\3.3\HeuristicLab.Problems.LinearAssignment.Views-3.3.csproj">
       <Project>{8A7C524C-4B72-45FD-8274-EFB67C27C169}</Project>
       <Name>HeuristicLab.Problems.LinearAssignment.Views-3.3</Name>
+      <Private>False</Private>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Problems.Orienteering\3.3\HeuristicLab.Problems.Orienteering-3.3.csproj">
       <Project>{D1EFA4CC-909F-41D5-9C1F-C3AF1957A372}</Project>
       <Name>HeuristicLab.Problems.Orienteering-3.3</Name>
-    </ProjectReference>
+      <Private>False</Private>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.TravelingSalesman.Views\3.3\HeuristicLab.Problems.TravelingSalesman.Views-3.3.csproj">
+      <Project>{CDA28124-ACD0-4231-8EB0-C510B361F84E}</Project>
+      <Name>HeuristicLab.Problems.TravelingSalesman.Views-3.3</Name>
+      <Private>False</Private>
+    </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="OrienteeringProblemView.resx">
+      <DependentUpon>OrienteeringProblemView.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="OrienteeringSolutionView.resx">
+      <DependentUpon>OrienteeringSolutionView.cs</DependentUpon>
+    </EmbeddedResource>
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringProblemView.cs
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringProblemView.cs	(revision 17524)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringProblemView.cs	(revision 17525)
@@ -38,9 +38,4 @@
 
     protected override void DeregisterContentEvents() {
-      Content.CoordinatesParameter.ValueChanged -= CoordinatesParameter_ValueChanged;
-      Content.StartingPointParameter.ValueChanged -= StartingPointParameter_ValueChanged;
-      Content.TerminalPointParameter.ValueChanged -= TerminalPointParameter_ValueChanged;
-      Content.ScoresParameter.ValueChanged -= ScoresParameter_ValueChanged;
-      Content.BestKnownQualityParameter.ValueChanged -= BestKnownQualityParameter_ValueChanged;
       Content.BestKnownSolutionParameter.ValueChanged -= BestKnownSolutionParameter_ValueChanged;
       base.DeregisterContentEvents();
@@ -48,9 +43,4 @@
     protected override void RegisterContentEvents() {
       base.RegisterContentEvents();
-      Content.CoordinatesParameter.ValueChanged += CoordinatesParameter_ValueChanged;
-      Content.StartingPointParameter.ValueChanged += StartingPointParameter_ValueChanged;
-      Content.TerminalPointParameter.ValueChanged += TerminalPointParameter_ValueChanged;
-      Content.ScoresParameter.ValueChanged += ScoresParameter_ValueChanged;
-      Content.BestKnownQualityParameter.ValueChanged += BestKnownQualityParameter_ValueChanged;
       Content.BestKnownSolutionParameter.ValueChanged += BestKnownSolutionParameter_ValueChanged;
     }
@@ -61,9 +51,5 @@
         orienteeringSolutionView.Content = null;
       } else {
-        orienteeringSolutionView.Content = new OrienteeringSolution(Content.BestKnownSolution,
-          Content.Coordinates, Content.StartingPointParameter.Value, Content.TerminalPointParameter.Value, Content.Scores);
-        if (Content.BestKnownSolution != null) {
-          EvaluateBestSolution();
-        }
+        orienteeringSolutionView.Content = Content.BestKnownSolution;
       }
     }
@@ -71,44 +57,9 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      orienteeringSolutionView.Enabled = Content != null;
-    }
-
-    private void CoordinatesParameter_ValueChanged(object sender, EventArgs e) {
-      orienteeringSolutionView.Content.Coordinates = Content.Coordinates;
-    }
-
-    private void StartingPointParameter_ValueChanged(object sender, EventArgs e) {
-      orienteeringSolutionView.Content.StartingPoint.Value = Content.StartingPoint;
-    }
-
-    private void TerminalPointParameter_ValueChanged(object sender, EventArgs e) {
-      orienteeringSolutionView.Content.TerminalPoint.Value = Content.TerminalPoint;
-    }
-
-    private void ScoresParameter_ValueChanged(object sender, EventArgs e) {
-      orienteeringSolutionView.Content.Scores = Content.Scores;
-    }
-
-    private void BestKnownQualityParameter_ValueChanged(object sender, EventArgs e) {
-      orienteeringSolutionView.Content.Quality = Content.BestKnownQuality;
+      orienteeringSolutionView.Enabled = Content != null && !ReadOnly && !Locked;
     }
 
     private void BestKnownSolutionParameter_ValueChanged(object sender, EventArgs e) {
-      orienteeringSolutionView.Content.IntegerVector = Content.BestKnownSolution;
-      if (Content.BestKnownSolution != null)
-        EvaluateBestSolution();
-      else {
-        var solution = orienteeringSolutionView.Content;
-        solution.Penalty = null;
-        solution.Distance = null;
-      }
-    }
-
-    private void EvaluateBestSolution() {
-      var evaluation = Content.Evaluator.Evaluate(Content.BestKnownSolution, Content.Scores, Content.DistanceMatrix,
-        Content.MaximumDistance, Content.PointVisitingCosts);
-      orienteeringSolutionView.Content.Quality = evaluation.Quality;
-      orienteeringSolutionView.Content.Penalty = evaluation.Penalty;
-      orienteeringSolutionView.Content.Distance = evaluation.Distance;
+      orienteeringSolutionView.Content = Content.BestKnownSolution;
     }
   }
Index: /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringSolutionView.Designer.cs
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringSolutionView.Designer.cs	(revision 17524)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringSolutionView.Designer.cs	(revision 17525)
@@ -45,17 +45,8 @@
     /// </summary>
     private void InitializeComponent() {
-      this.pictureBox = new System.Windows.Forms.PictureBox();
-      this.tabControl = new HeuristicLab.MainForm.WindowsForms.DragOverTabControl();
-      this.visualizationTabPage = new System.Windows.Forms.TabPage();
-      this.valueTabPage = new System.Windows.Forms.TabPage();
-      this.tourGroupBox = new System.Windows.Forms.GroupBox();
-      this.tourViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.splitContainer = new System.Windows.Forms.SplitContainer();
+      this.ScoreLabel = new System.Windows.Forms.Label();
+      this.qualityLabel = new System.Windows.Forms.Label();
       this.qualityValueView = new HeuristicLab.Data.Views.StringConvertibleValueView();
-      this.distanceValueView = new HeuristicLab.Data.Views.StringConvertibleValueView();
-      this.penaltyValueView = new HeuristicLab.Data.Views.StringConvertibleValueView();
-      this.qualityLabel = new System.Windows.Forms.Label();
-      this.distanceLabel = new System.Windows.Forms.Label();
-      this.penaltyLabel = new System.Windows.Forms.Label();
+      this.scoreValueView = new HeuristicLab.Data.Views.StringConvertibleValueView();
       ((System.ComponentModel.ISupportInitialize)(this.pictureBox)).BeginInit();
       this.tabControl.SuspendLayout();
@@ -67,101 +58,49 @@
       this.splitContainer.Panel2.SuspendLayout();
       this.splitContainer.SuspendLayout();
+      this.qualityGroupBox.SuspendLayout();
       this.SuspendLayout();
       // 
       // pictureBox
       // 
-      this.pictureBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.pictureBox.BackColor = System.Drawing.Color.White;
-      this.pictureBox.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
-      this.pictureBox.Location = new System.Drawing.Point(6, 6);
-      this.pictureBox.Name = "pictureBox";
-      this.pictureBox.Size = new System.Drawing.Size(403, 271);
-      this.pictureBox.TabIndex = 0;
-      this.pictureBox.TabStop = false;
-      this.pictureBox.SizeChanged += new System.EventHandler(this.pictureBox_SizeChanged);
+      this.pictureBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)));
+      this.pictureBox.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.pictureBox.Location = new System.Drawing.Point(3, 3);
+      this.pictureBox.Size = new System.Drawing.Size(403, 228);
       // 
       // tabControl
       // 
-      this.tabControl.AllowDrop = true;
-      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.tabControl.Controls.Add(this.visualizationTabPage);
-      this.tabControl.Controls.Add(this.valueTabPage);
-      this.tabControl.Location = new System.Drawing.Point(0, 3);
-      this.tabControl.Name = "tabControl";
-      this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(423, 305);
-      this.tabControl.TabIndex = 0;
+      this.tabControl.Location = new System.Drawing.Point(3, 72);
+      this.tabControl.Size = new System.Drawing.Size(417, 260);
       // 
       // visualizationTabPage
       // 
-      this.visualizationTabPage.BackColor = System.Drawing.SystemColors.Window;
-      this.visualizationTabPage.Controls.Add(this.pictureBox);
-      this.visualizationTabPage.Location = new System.Drawing.Point(4, 22);
-      this.visualizationTabPage.Name = "visualizationTabPage";
-      this.visualizationTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.visualizationTabPage.Size = new System.Drawing.Size(415, 279);
-      this.visualizationTabPage.TabIndex = 0;
-      this.visualizationTabPage.Text = "Visualization";
+      this.visualizationTabPage.Size = new System.Drawing.Size(409, 234);
       // 
       // valueTabPage
       // 
-      this.valueTabPage.BackColor = System.Drawing.SystemColors.Window;
-      this.valueTabPage.Controls.Add(this.tourGroupBox);
-      this.valueTabPage.Location = new System.Drawing.Point(4, 22);
-      this.valueTabPage.Name = "valueTabPage";
-      this.valueTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.valueTabPage.Size = new System.Drawing.Size(211, 370);
-      this.valueTabPage.TabIndex = 1;
-      this.valueTabPage.Text = "Value";
+      this.valueTabPage.Size = new System.Drawing.Size(409, 234);
       // 
       // tourGroupBox
       // 
-      this.tourGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.tourGroupBox.Controls.Add(this.tourViewHost);
-      this.tourGroupBox.Location = new System.Drawing.Point(6, 6);
-      this.tourGroupBox.Name = "tourGroupBox";
-      this.tourGroupBox.Size = new System.Drawing.Size(199, 358);
-      this.tourGroupBox.TabIndex = 0;
-      this.tourGroupBox.TabStop = false;
-      this.tourGroupBox.Text = "Tour";
+      this.tourGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)));
+      this.tourGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.tourGroupBox.Location = new System.Drawing.Point(3, 3);
+      this.tourGroupBox.Size = new System.Drawing.Size(403, 228);
       // 
       // tourViewHost
       // 
-      this.tourViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.tourViewHost.Caption = "View";
-      this.tourViewHost.Content = null;
-      this.tourViewHost.Enabled = false;
-      this.tourViewHost.Location = new System.Drawing.Point(6, 19);
-      this.tourViewHost.Name = "tourViewHost";
-      this.tourViewHost.ReadOnly = false;
-      this.tourViewHost.Size = new System.Drawing.Size(187, 333);
-      this.tourViewHost.TabIndex = 0;
-      this.tourViewHost.ViewsLabelVisible = true;
-      this.tourViewHost.ViewType = null;
+      this.tourViewHost.Size = new System.Drawing.Size(391, 203);
       // 
       // splitContainer
       // 
-      this.splitContainer.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.splitContainer.FixedPanel = System.Windows.Forms.FixedPanel.Panel1;
-      this.splitContainer.Location = new System.Drawing.Point(0, 0);
-      this.splitContainer.Name = "splitContainer";
-      this.splitContainer.Orientation = System.Windows.Forms.Orientation.Horizontal;
       // 
       // splitContainer.Panel1
       // 
-      this.splitContainer.Panel1.Controls.Add(this.penaltyLabel);
-      this.splitContainer.Panel1.Controls.Add(this.distanceLabel);
+      this.splitContainer.Panel1.Controls.Add(this.ScoreLabel);
       this.splitContainer.Panel1.Controls.Add(this.qualityLabel);
       this.splitContainer.Panel1.Controls.Add(this.qualityValueView);
-      this.splitContainer.Panel1.Controls.Add(this.distanceValueView);
-      this.splitContainer.Panel1.Controls.Add(this.penaltyValueView);
+      this.splitContainer.Panel1.Controls.Add(this.scoreValueView);
       this.splitContainer.Panel1.Margin = new System.Windows.Forms.Padding(0, 0, 5, 0);
       this.splitContainer.Panel1MinSize = 0;
@@ -169,12 +108,39 @@
       // splitContainer.Panel2
       // 
-      this.splitContainer.Panel2.Controls.Add(this.tabControl);
-      this.splitContainer.Size = new System.Drawing.Size(423, 402);
-      this.splitContainer.SplitterDistance = 87;
-      this.splitContainer.TabIndex = 0;
+      this.splitContainer.Panel2.Controls.Add(this.qualityGroupBox);
+      this.splitContainer.SplitterDistance = 63;
+      // 
+      // qualityGroupBox
+      // 
+      this.qualityGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.qualityGroupBox.Location = new System.Drawing.Point(3, 3);
+      this.qualityGroupBox.Size = new System.Drawing.Size(417, 63);
+      // 
+      // qualityViewHost
+      // 
+      this.qualityViewHost.Size = new System.Drawing.Size(405, 38);
+      // 
+      // ScoreLabel
+      // 
+      this.ScoreLabel.AutoSize = true;
+      this.ScoreLabel.Location = new System.Drawing.Point(7, 38);
+      this.ScoreLabel.Name = "ScoreLabel";
+      this.ScoreLabel.Size = new System.Drawing.Size(38, 13);
+      this.ScoreLabel.TabIndex = 1;
+      this.ScoreLabel.Text = "Score:";
+      // 
+      // qualityLabel
+      // 
+      this.qualityLabel.AutoSize = true;
+      this.qualityLabel.Location = new System.Drawing.Point(7, 11);
+      this.qualityLabel.Name = "qualityLabel";
+      this.qualityLabel.Size = new System.Drawing.Size(42, 13);
+      this.qualityLabel.TabIndex = 1;
+      this.qualityLabel.Text = "Quality:";
       // 
       // qualityValueView
       // 
-      this.qualityValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.qualityValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.qualityValueView.Caption = "StringConvertibleValue View";
@@ -187,63 +153,21 @@
       this.qualityValueView.TabIndex = 0;
       // 
-      // distanceValueView
+      // scoreValueView
       // 
-      this.distanceValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.scoreValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.distanceValueView.Caption = "StringConvertibleValue View";
-      this.distanceValueView.Content = null;
-      this.distanceValueView.LabelVisible = false;
-      this.distanceValueView.Location = new System.Drawing.Point(65, 34);
-      this.distanceValueView.Name = "distanceValueView";
-      this.distanceValueView.ReadOnly = false;
-      this.distanceValueView.Size = new System.Drawing.Size(354, 21);
-      this.distanceValueView.TabIndex = 0;
-      // 
-      // penaltyValueView
-      // 
-      this.penaltyValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.penaltyValueView.Caption = "StringConvertibleValue View";
-      this.penaltyValueView.Content = null;
-      this.penaltyValueView.LabelVisible = false;
-      this.penaltyValueView.Location = new System.Drawing.Point(65, 61);
-      this.penaltyValueView.Name = "penaltyValueView";
-      this.penaltyValueView.ReadOnly = false;
-      this.penaltyValueView.Size = new System.Drawing.Size(354, 21);
-      this.penaltyValueView.TabIndex = 0;
-      // 
-      // qualityLabel
-      // 
-      this.qualityLabel.AutoSize = true;
-      this.qualityLabel.Location = new System.Drawing.Point(7, 11);
-      this.qualityLabel.Name = "qualityLabel";
-      this.qualityLabel.Size = new System.Drawing.Size(42, 13);
-      this.qualityLabel.TabIndex = 1;
-      this.qualityLabel.Text = "Quality:";
-      // 
-      // distanceLabel
-      // 
-      this.distanceLabel.AutoSize = true;
-      this.distanceLabel.Location = new System.Drawing.Point(7, 38);
-      this.distanceLabel.Name = "distanceLabel";
-      this.distanceLabel.Size = new System.Drawing.Size(52, 13);
-      this.distanceLabel.TabIndex = 1;
-      this.distanceLabel.Text = "Distance:";
-      // 
-      // penaltyLabel
-      // 
-      this.penaltyLabel.AutoSize = true;
-      this.penaltyLabel.Location = new System.Drawing.Point(7, 64);
-      this.penaltyLabel.Name = "penaltyLabel";
-      this.penaltyLabel.Size = new System.Drawing.Size(45, 13);
-      this.penaltyLabel.TabIndex = 1;
-      this.penaltyLabel.Text = "Penalty:";
+      this.scoreValueView.Caption = "StringConvertibleValue View";
+      this.scoreValueView.Content = null;
+      this.scoreValueView.LabelVisible = false;
+      this.scoreValueView.Location = new System.Drawing.Point(65, 34);
+      this.scoreValueView.Name = "scoreValueView";
+      this.scoreValueView.ReadOnly = false;
+      this.scoreValueView.Size = new System.Drawing.Size(354, 21);
+      this.scoreValueView.TabIndex = 0;
       // 
       // OrienteeringSolutionView
       // 
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
-      this.Controls.Add(this.splitContainer);
       this.Name = "OrienteeringSolutionView";
-      this.Size = new System.Drawing.Size(423, 402);
       ((System.ComponentModel.ISupportInitialize)(this.pictureBox)).EndInit();
       this.tabControl.ResumeLayout(false);
@@ -256,4 +180,5 @@
       ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).EndInit();
       this.splitContainer.ResumeLayout(false);
+      this.qualityGroupBox.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -261,18 +186,8 @@
 
     #endregion
-
-    private System.Windows.Forms.PictureBox pictureBox;
-    private HeuristicLab.MainForm.WindowsForms.DragOverTabControl tabControl;
-    private System.Windows.Forms.TabPage visualizationTabPage;
-    private System.Windows.Forms.TabPage valueTabPage;
-    private System.Windows.Forms.GroupBox tourGroupBox;
-    private HeuristicLab.MainForm.WindowsForms.ViewHost tourViewHost;
-    private System.Windows.Forms.SplitContainer splitContainer;
-    private System.Windows.Forms.Label penaltyLabel;
-    private System.Windows.Forms.Label distanceLabel;
+    private System.Windows.Forms.Label ScoreLabel;
     private System.Windows.Forms.Label qualityLabel;
     private Data.Views.StringConvertibleValueView qualityValueView;
-    private Data.Views.StringConvertibleValueView distanceValueView;
-    private Data.Views.StringConvertibleValueView penaltyValueView;
+    private Data.Views.StringConvertibleValueView scoreValueView;
   }
 }
